	.file	"spinlock-r0drv-linux.c"
	.text
	.p2align 4,,15
.globl VBoxHost_RTSpinlockRelease
	.type	VBoxHost_RTSpinlockRelease, @function
VBoxHost_RTSpinlockRelease:
	pushl	%ebp
	movl	%esp, %ebp
	movl	8(%ebp), %eax
	addl	$4, %eax
	call	_raw_spin_unlock
	leave
	ret
	.size	VBoxHost_RTSpinlockRelease, .-VBoxHost_RTSpinlockRelease
	.p2align 4,,15
.globl VBoxHost_RTSpinlockAcquire
	.type	VBoxHost_RTSpinlockAcquire, @function
VBoxHost_RTSpinlockAcquire:
	pushl	%ebp
	movl	%esp, %ebp
	movl	8(%ebp), %eax
	addl	$4, %eax
	call	_raw_spin_lock
	leave
	ret
	.size	VBoxHost_RTSpinlockAcquire, .-VBoxHost_RTSpinlockAcquire
	.p2align 4,,15
.globl VBoxHost_RTSpinlockReleaseNoInts
	.type	VBoxHost_RTSpinlockReleaseNoInts, @function
VBoxHost_RTSpinlockReleaseNoInts:
	pushl	%ebp
	movl	%esp, %ebp
	movl	8(%ebp), %eax
	movl	12(%ebp), %edx
	addl	$4, %eax
	movl	(%edx), %edx
	call	_raw_spin_unlock_irqrestore
	leave
	ret
	.size	VBoxHost_RTSpinlockReleaseNoInts, .-VBoxHost_RTSpinlockReleaseNoInts
	.p2align 4,,15
.globl VBoxHost_RTSpinlockAcquireNoInts
	.type	VBoxHost_RTSpinlockAcquireNoInts, @function
VBoxHost_RTSpinlockAcquireNoInts:
	pushl	%ebp
	movl	%esp, %ebp
	movl	8(%ebp), %eax
	addl	$4, %eax
	call	_raw_spin_lock_irqsave
	movl	12(%ebp), %edx
	movl	%eax, (%edx)
	leave
	ret
	.size	VBoxHost_RTSpinlockAcquireNoInts, .-VBoxHost_RTSpinlockAcquireNoInts
	.p2align 4,,15
.globl VBoxHost_RTSpinlockDestroy
	.type	VBoxHost_RTSpinlockDestroy, @function
VBoxHost_RTSpinlockDestroy:
	pushl	%ebp
	movl	$-2, %eax
	movl	%esp, %ebp
	subl	$4, %esp
	movl	8(%ebp), %edx
	testl	%edx, %edx
	jne	.L10
.L6:
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L10:
	movl	(%edx), %ecx
	cmpl	$424150056, %ecx
	jne	.L6
	movl	$1, %eax
#APP
# 2706 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %eax, (%edx)
	
# 0 "" 2
#NO_APP
	movl	%edx, (%esp)
	call	VBoxHost_RTMemFree
	xorl	%eax, %eax
	leave
	ret
	.size	VBoxHost_RTSpinlockDestroy, .-VBoxHost_RTSpinlockDestroy
	.section	.rodata.str1.4,"aMS",@progbits,1
	.align 4
.LC0:
	.string	"/tmp/vboxdrv/r0drv/linux/spinlock-r0drv-linux.c"
	.text
	.p2align 4,,15
.globl VBoxHost_RTSpinlockCreate
	.type	VBoxHost_RTSpinlockCreate, @function
VBoxHost_RTSpinlockCreate:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	$.LC0, 4(%esp)
	movl	$8, (%esp)
	call	VBoxHost_RTMemAllocTag
	movl	$-8, %edx
	testl	%eax, %eax
	je	.L12
	movl	8(%ebp), %edx
	movl	$424150056, (%eax)
	movl	$0, 4(%eax)
	movl	%eax, (%edx)
	xorl	%edx, %edx
.L12:
	movl	%edx, %eax
	leave
	ret
	.size	VBoxHost_RTSpinlockCreate, .-VBoxHost_RTSpinlockCreate
	.section	___ksymtab+VBoxHost_RTSpinlockRelease,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSpinlockRelease, @object
	.size	__ksymtab_VBoxHost_RTSpinlockRelease, 8
__ksymtab_VBoxHost_RTSpinlockRelease:
	.long	VBoxHost_RTSpinlockRelease
	.long	__kstrtab_VBoxHost_RTSpinlockRelease
	.section	___ksymtab+VBoxHost_RTSpinlockAcquire,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSpinlockAcquire, @object
	.size	__ksymtab_VBoxHost_RTSpinlockAcquire, 8
__ksymtab_VBoxHost_RTSpinlockAcquire:
	.long	VBoxHost_RTSpinlockAcquire
	.long	__kstrtab_VBoxHost_RTSpinlockAcquire
	.section	___ksymtab+VBoxHost_RTSpinlockReleaseNoInts,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSpinlockReleaseNoInts, @object
	.size	__ksymtab_VBoxHost_RTSpinlockReleaseNoInts, 8
__ksymtab_VBoxHost_RTSpinlockReleaseNoInts:
	.long	VBoxHost_RTSpinlockReleaseNoInts
	.long	__kstrtab_VBoxHost_RTSpinlockReleaseNoInts
	.section	___ksymtab+VBoxHost_RTSpinlockAcquireNoInts,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSpinlockAcquireNoInts, @object
	.size	__ksymtab_VBoxHost_RTSpinlockAcquireNoInts, 8
__ksymtab_VBoxHost_RTSpinlockAcquireNoInts:
	.long	VBoxHost_RTSpinlockAcquireNoInts
	.long	__kstrtab_VBoxHost_RTSpinlockAcquireNoInts
	.section	___ksymtab+VBoxHost_RTSpinlockDestroy,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSpinlockDestroy, @object
	.size	__ksymtab_VBoxHost_RTSpinlockDestroy, 8
__ksymtab_VBoxHost_RTSpinlockDestroy:
	.long	VBoxHost_RTSpinlockDestroy
	.long	__kstrtab_VBoxHost_RTSpinlockDestroy
	.section	___ksymtab+VBoxHost_RTSpinlockCreate,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSpinlockCreate, @object
	.size	__ksymtab_VBoxHost_RTSpinlockCreate, 8
__ksymtab_VBoxHost_RTSpinlockCreate:
	.long	VBoxHost_RTSpinlockCreate
	.long	__kstrtab_VBoxHost_RTSpinlockCreate
	.section	__ksymtab_strings,"a",@progbits
	.type	__kstrtab_VBoxHost_RTSpinlockRelease, @object
	.size	__kstrtab_VBoxHost_RTSpinlockRelease, 27
__kstrtab_VBoxHost_RTSpinlockRelease:
	.string	"VBoxHost_RTSpinlockRelease"
	.type	__kstrtab_VBoxHost_RTSpinlockAcquire, @object
	.size	__kstrtab_VBoxHost_RTSpinlockAcquire, 27
__kstrtab_VBoxHost_RTSpinlockAcquire:
	.string	"VBoxHost_RTSpinlockAcquire"
	.type	__kstrtab_VBoxHost_RTSpinlockReleaseNoInts, @object
	.size	__kstrtab_VBoxHost_RTSpinlockReleaseNoInts, 33
__kstrtab_VBoxHost_RTSpinlockReleaseNoInts:
	.string	"VBoxHost_RTSpinlockReleaseNoInts"
	.type	__kstrtab_VBoxHost_RTSpinlockAcquireNoInts, @object
	.size	__kstrtab_VBoxHost_RTSpinlockAcquireNoInts, 33
__kstrtab_VBoxHost_RTSpinlockAcquireNoInts:
	.string	"VBoxHost_RTSpinlockAcquireNoInts"
	.type	__kstrtab_VBoxHost_RTSpinlockDestroy, @object
	.size	__kstrtab_VBoxHost_RTSpinlockDestroy, 27
__kstrtab_VBoxHost_RTSpinlockDestroy:
	.string	"VBoxHost_RTSpinlockDestroy"
	.type	__kstrtab_VBoxHost_RTSpinlockCreate, @object
	.size	__kstrtab_VBoxHost_RTSpinlockCreate, 26
__kstrtab_VBoxHost_RTSpinlockCreate:
	.string	"VBoxHost_RTSpinlockCreate"
	.ident	"GCC: (GNU) 4.5.3 (birdie)"
	.section	.note.GNU-stack,"",@progbits
