	.file	"semmutex-r0drv-linux.c"
	.text
	.p2align 4,,15
.globl VBoxHost_RTSemMutexIsOwned
	.type	VBoxHost_RTSemMutexIsOwned, @function
VBoxHost_RTSemMutexIsOwned:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	%esi, 4(%esp)
	movl	%ebx, (%esp)
	movl	8(%ebp), %esi
	leal	4096(%esi), %eax
	cmpl	$8191, %eax
	jbe	.L4
	cmpl	$424805137, (%esi)
	jne	.L4
	leal	24(%esi), %ebx
	movl	%ebx, %eax
	call	_raw_spin_lock_irqsave
	movl	16(%esi), %edx
	testl	%edx, %edx
	setne	%dl
	movl	%edx, %esi
	movl	%eax, %edx
	movl	%ebx, %eax
	call	_raw_spin_unlock_irqrestore
.L2:
	movl	%esi, %eax
	movl	(%esp), %ebx
	movl	4(%esp), %esi
	leave
	ret
.L4:
	xorl	%esi, %esi
	jmp	.L2
	.size	VBoxHost_RTSemMutexIsOwned, .-VBoxHost_RTSemMutexIsOwned
	.p2align 4,,15
.globl VBoxHost_RTSemMutexRelease
	.type	VBoxHost_RTSemMutexRelease, @function
VBoxHost_RTSemMutexRelease:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$20, %esp
	movl	%esi, -8(%ebp)
	movl	%edi, -4(%ebp)
	movl	8(%ebp), %esi
	movl	%ebx, -12(%ebp)
	leal	4096(%esi), %eax
#APP
# 14 "/usr/src/kernels/linux-3.0/arch/x86/include/asm/current.h" 1
	movl %fs:current_task,%edi
# 0 "" 2
#NO_APP
	cmpl	$8191, %eax
	jbe	.L10
	cmpl	$424805137, (%esi)
	jne	.L10
	leal	24(%esi), %ebx
	movl	%ebx, %eax
	call	_raw_spin_lock_irqsave
	movl	$-355, -16(%ebp)
	movl	%eax, %edx
	cmpl	%edi, 16(%esi)
	je	.L14
.L8:
	movl	%ebx, %eax
	call	_raw_spin_unlock_irqrestore
.L7:
	movl	-16(%ebp), %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L14:
	movl	4(%esi), %eax
	movl	$0, -16(%ebp)
	decl	%eax
	movl	%eax, 4(%esi)
	testl	%eax, %eax
	jne	.L8
	leal	8(%esi), %eax
	movl	$0, 16(%esi)
	cmpl	%eax, 12(%esi)
	je	.L8
	movl	8(%esi), %eax
	movl	$0, 12(%eax)
	movl	8(%eax), %eax
	movl	%edx, -20(%ebp)
	call	wake_up_process
	movl	-20(%ebp), %edx
	jmp	.L8
.L10:
	movl	$-4, -16(%ebp)
	jmp	.L7
	.size	VBoxHost_RTSemMutexRelease, .-VBoxHost_RTSemMutexRelease
	.p2align 4,,15
.globl VBoxHost_RTSemMutexDestroy
	.type	VBoxHost_RTSemMutexDestroy, @function
VBoxHost_RTSemMutexDestroy:
	pushl	%ebp
	xorl	%eax, %eax
	movl	%esp, %ebp
	subl	$24, %esp
	movl	%ebx, -12(%ebp)
	movl	%esi, -8(%ebp)
	movl	8(%ebp), %ebx
	movl	%edi, -4(%ebp)
	testl	%ebx, %ebx
	jne	.L26
.L16:
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L26:
	leal	4096(%ebx), %eax
	cmpl	$8191, %eax
	jbe	.L23
	cmpl	$424805137, (%ebx)
	jne	.L23
	movl	$424805137, %eax
	movl	$536937745, %edx
#APP
# 752 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; cmpxchgl %edx, (%ebx)
	setz  %dl
	
# 0 "" 2
#NO_APP
	testb	%dl, %dl
	je	.L23
	leal	24(%ebx), %esi
	movl	%esi, %eax
	call	_raw_spin_lock_irqsave
	movl	8(%ebx), %edi
	movl	%eax, -20(%ebp)
	leal	8(%ebx), %eax
	movl	%eax, -16(%ebp)
	cmpl	%edi, %eax
	je	.L17
	.p2align 4,,10
	.p2align 3
.L24:
	movl	$1, 12(%edi)
	movl	8(%edi), %eax
	call	wake_up_process
	movl	(%edi), %edi
	cmpl	%edi, -16(%ebp)
	jne	.L24
.L17:
	movl	$-1, %eax
#APP
# 2823 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %eax, 20(%ebx)
	
# 0 "" 2
#NO_APP
	cmpl	$1, %eax
	je	.L19
	movl	%esi, %eax
	movl	-20(%ebp), %edx
	call	_raw_spin_unlock_irqrestore
	xorl	%eax, %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L19:
	movl	%esi, %eax
	movl	-20(%ebp), %edx
	call	_raw_spin_unlock_irqrestore
	movl	%ebx, (%esp)
	call	VBoxHost_RTMemFree
	xorl	%eax, %eax
	jmp	.L16
.L23:
	movl	$-4, %eax
	jmp	.L16
	.size	VBoxHost_RTSemMutexDestroy, .-VBoxHost_RTSemMutexDestroy
	.p2align 4,,15
	.type	rtSemMutexLinuxRequestSleep, @function
rtSemMutexLinuxRequestSleep:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%edi
	movl	$2147483647, %edi
	pushl	%esi
	pushl	%ebx
	subl	$36, %esp
	movl	%eax, -44(%ebp)
#APP
# 14 "/usr/src/kernels/linux-3.0/arch/x86/include/asm/current.h" 1
	movl %fs:current_task,%esi
# 0 "" 2
#NO_APP
	movb	%cl, -37(%ebp)
	cmpl	$-1, %edx
	je	.L28
	movl	%edx, %eax
	call	msecs_to_jiffies
	movl	%eax, %edi
.L28:
	movl	$1, %eax
	movl	-44(%ebp), %edx
#APP
# 2706 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %eax, 20(%edx)
	
# 0 "" 2
#NO_APP
	movl	-44(%ebp), %ecx
	leal	-32(%ebp), %eax
	movl	12(%ecx), %edx
	leal	24(%ecx), %ebx
	movl	%esi, -24(%ebp)
	movl	$2, -20(%ebp)
	movl	%ebx, -36(%ebp)
	movl	%eax, (%edx)
	movl	12(%ecx), %edx
	movl	%eax, 12(%ecx)
	movl	%edx, -28(%ebp)
	movl	%ecx, %edx
	addl	$8, %edx
	movl	%edx, -32(%ebp)
#APP
# 14 "/usr/src/kernels/linux-3.0/arch/x86/include/asm/current.h" 1
	movl %fs:current_task,%edx
# 0 "" 2
#NO_APP
	movl	%edx, %ebx
	jmp	.L33
	.p2align 4,,10
	.p2align 3
.L43:
	cmpb	$1, -37(%ebp)
	sbbl	%eax, %eax
	notl	%eax
	addl	$2, %eax
	movl	%eax, -16(%ebp)
	movl	-16(%ebp), %eax
#APP
# 198 "/tmp/vboxdrv/r0drv/linux/semmutex-r0drv-linux.c" 1
	xchgl %eax,(%esi)
# 0 "" 2
#NO_APP
	movl	%eax, -16(%ebp)
	movl	-16(%ebp), %eax
	movl	-36(%ebp), %eax
	call	_raw_spin_unlock_irq
	movl	%edi, %eax
	call	schedule_timeout
	movl	%eax, %edi
	movl	-36(%ebp), %eax
	call	_raw_spin_lock_irq
	movl	$0, -16(%ebp)
	movl	-16(%ebp), %eax
#APP
# 204 "/tmp/vboxdrv/r0drv/linux/semmutex-r0drv-linux.c" 1
	xchgl %eax,(%ebx)
# 0 "" 2
#NO_APP
	movl	%eax, -16(%ebp)
	movl	-16(%ebp), %eax
	movl	-20(%ebp), %eax
	testl	%eax, %eax
	je	.L42
	movl	-20(%ebp), %eax
	cmpl	$1, %eax
	je	.L40
	movl	-44(%ebp), %edx
	cmpl	$424805137, (%edx)
	jne	.L40
.L33:
	cmpb	$0, -37(%ebp)
	je	.L29
	movl	4(%esi), %eax
	movl	8(%eax), %eax
	testb	$4, %al
	jne	.L37
.L29:
	testl	%edi, %edi
	jne	.L43
	movl	-36(%ebp), %ebx
	movl	$-40, %esi
.L30:
	movl	-32(%ebp), %eax
	movl	-28(%ebp), %edx
	movl	-44(%ebp), %ecx
	movl	%eax, (%edx)
	movl	%edx, 4(%eax)
	movl	$0, -32(%ebp)
	movl	$0, -28(%ebp)
	movl	$-1, %eax
#APP
# 2823 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %eax, 20(%ecx)
	
# 0 "" 2
#NO_APP
	cmpl	$1, %eax
	je	.L34
	movl	8(%ebp), %edx
	movl	%ebx, %eax
	call	_raw_spin_unlock_irqrestore
.L35:
	addl	$36, %esp
	movl	%esi, %eax
	popl	%ebx
	popl	%esi
	popl	%edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L42:
	movl	-44(%ebp), %eax
	movl	-36(%ebp), %ebx
	movl	%esi, 16(%eax)
	movl	$1, 4(%eax)
	xorl	%esi, %esi
	jmp	.L30
.L40:
	movl	-36(%ebp), %ebx
	movl	$-363, %esi
	jmp	.L30
.L37:
	movl	-36(%ebp), %ebx
	movl	$-39, %esi
	jmp	.L30
.L34:
	movl	%ebx, %eax
	movl	8(%ebp), %edx
	call	_raw_spin_unlock_irqrestore
	movl	-44(%ebp), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTMemFree
	jmp	.L35
	.size	rtSemMutexLinuxRequestSleep, .-rtSemMutexLinuxRequestSleep
	.p2align 4,,15
.globl VBoxHost_RTSemMutexRequestNoResume
	.type	VBoxHost_RTSemMutexRequestNoResume, @function
VBoxHost_RTSemMutexRequestNoResume:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16, %esp
	movl	%ebx, -12(%ebp)
	movl	%edi, -4(%ebp)
	movl	8(%ebp), %ebx
	movl	%esi, -8(%ebp)
	leal	4096(%ebx), %eax
#APP
# 14 "/usr/src/kernels/linux-3.0/arch/x86/include/asm/current.h" 1
	movl %fs:current_task,%edi
# 0 "" 2
#NO_APP
	cmpl	$8191, %eax
	jbe	.L50
	cmpl	$424805137, (%ebx)
	jne	.L50
	leal	24(%ebx), %esi
	movl	%esi, %eax
	call	_raw_spin_lock_irqsave
	movl	16(%ebx), %edx
	cmpl	%edx, %edi
	je	.L52
	testl	%edx, %edx
	je	.L53
.L48:
	movl	12(%ebp), %ecx
	movl	$-40, %edi
	testl	%ecx, %ecx
	jne	.L54
.L47:
	movl	%eax, %edx
	movl	%esi, %eax
	call	_raw_spin_unlock_irqrestore
.L45:
	movl	%edi, %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L54:
	movl	%eax, (%esp)
	movl	12(%ebp), %edx
	movl	%ebx, %eax
	movl	$1, %ecx
	call	rtSemMutexLinuxRequestSleep
	movl	-12(%ebp), %ebx
	movl	%eax, %edi
	movl	-8(%ebp), %esi
	movl	%edi, %eax
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L52:
	incl	4(%ebx)
	xorl	%edi, %edi
	jmp	.L47
	.p2align 4,,10
	.p2align 3
.L53:
	leal	8(%ebx), %edx
	cmpl	%edx, 12(%ebx)
	jne	.L48
	movl	%edi, 16(%ebx)
	movl	$1, 4(%ebx)
	xorl	%edi, %edi
	jmp	.L47
.L50:
	movl	$-4, %edi
	jmp	.L45
	.size	VBoxHost_RTSemMutexRequestNoResume, .-VBoxHost_RTSemMutexRequestNoResume
	.p2align 4,,15
.globl VBoxHost_RTSemMutexRequestNoResumeDebug
	.type	VBoxHost_RTSemMutexRequestNoResumeDebug, @function
VBoxHost_RTSemMutexRequestNoResumeDebug:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemMutexRequestNoResume
	leave
	ret
	.size	VBoxHost_RTSemMutexRequestNoResumeDebug, .-VBoxHost_RTSemMutexRequestNoResumeDebug
	.p2align 4,,15
.globl VBoxHost_RTSemMutexRequest
	.type	VBoxHost_RTSemMutexRequest, @function
VBoxHost_RTSemMutexRequest:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16, %esp
	movl	%ebx, -12(%ebp)
	movl	%edi, -4(%ebp)
	movl	8(%ebp), %ebx
	movl	%esi, -8(%ebp)
	leal	4096(%ebx), %eax
#APP
# 14 "/usr/src/kernels/linux-3.0/arch/x86/include/asm/current.h" 1
	movl %fs:current_task,%edi
# 0 "" 2
#NO_APP
	cmpl	$8191, %eax
	jbe	.L62
	cmpl	$424805137, (%ebx)
	jne	.L62
	leal	24(%ebx), %esi
	movl	%esi, %eax
	call	_raw_spin_lock_irqsave
	movl	16(%ebx), %edx
	cmpl	%edx, %edi
	je	.L64
	testl	%edx, %edx
	je	.L65
.L60:
	movl	12(%ebp), %edx
	movl	$-40, %edi
	testl	%edx, %edx
	jne	.L66
.L59:
	movl	%eax, %edx
	movl	%esi, %eax
	call	_raw_spin_unlock_irqrestore
.L57:
	movl	%edi, %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L66:
	movl	%eax, (%esp)
	movl	12(%ebp), %edx
	movl	%ebx, %eax
	xorl	%ecx, %ecx
	call	rtSemMutexLinuxRequestSleep
	movl	-12(%ebp), %ebx
	movl	%eax, %edi
	movl	-8(%ebp), %esi
	movl	%edi, %eax
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L64:
	incl	4(%ebx)
	xorl	%edi, %edi
	jmp	.L59
	.p2align 4,,10
	.p2align 3
.L65:
	leal	8(%ebx), %edx
	cmpl	%edx, 12(%ebx)
	jne	.L60
	movl	%edi, 16(%ebx)
	movl	$1, 4(%ebx)
	xorl	%edi, %edi
	jmp	.L59
.L62:
	movl	$-4, %edi
	jmp	.L57
	.size	VBoxHost_RTSemMutexRequest, .-VBoxHost_RTSemMutexRequest
	.p2align 4,,15
.globl VBoxHost_RTSemMutexRequestDebug
	.type	VBoxHost_RTSemMutexRequestDebug, @function
VBoxHost_RTSemMutexRequestDebug:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemMutexRequest
	leave
	ret
	.size	VBoxHost_RTSemMutexRequestDebug, .-VBoxHost_RTSemMutexRequestDebug
	.section	.rodata.str1.4,"aMS",@progbits,1
	.align 4
.LC0:
	.string	"/tmp/vboxdrv/r0drv/linux/semmutex-r0drv-linux.c"
	.text
	.p2align 4,,15
.globl VBoxHost_RTSemMutexCreate
	.type	VBoxHost_RTSemMutexCreate, @function
VBoxHost_RTSemMutexCreate:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	$.LC0, 4(%esp)
	movl	$28, (%esp)
	call	VBoxHost_RTMemAllocTag
	movl	$-8, %edx
	testl	%eax, %eax
	je	.L69
	leal	8(%eax), %edx
	movl	$424805137, (%eax)
	movl	%edx, 8(%eax)
	movl	%edx, 12(%eax)
	movl	$0, 4(%eax)
	movl	8(%ebp), %edx
	movl	$0, 16(%eax)
	movl	$1, 20(%eax)
	movl	$0, 24(%eax)
	movl	%eax, (%edx)
	xorl	%edx, %edx
.L69:
	movl	%edx, %eax
	leave
	ret
	.size	VBoxHost_RTSemMutexCreate, .-VBoxHost_RTSemMutexCreate
	.section	___ksymtab+VBoxHost_RTSemMutexIsOwned,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexIsOwned, @object
	.size	__ksymtab_VBoxHost_RTSemMutexIsOwned, 8
__ksymtab_VBoxHost_RTSemMutexIsOwned:
	.long	VBoxHost_RTSemMutexIsOwned
	.long	__kstrtab_VBoxHost_RTSemMutexIsOwned
	.section	___ksymtab+VBoxHost_RTSemMutexRelease,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexRelease, @object
	.size	__ksymtab_VBoxHost_RTSemMutexRelease, 8
__ksymtab_VBoxHost_RTSemMutexRelease:
	.long	VBoxHost_RTSemMutexRelease
	.long	__kstrtab_VBoxHost_RTSemMutexRelease
	.section	___ksymtab+VBoxHost_RTSemMutexRequestNoResumeDebug,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexRequestNoResumeDebug, @object
	.size	__ksymtab_VBoxHost_RTSemMutexRequestNoResumeDebug, 8
__ksymtab_VBoxHost_RTSemMutexRequestNoResumeDebug:
	.long	VBoxHost_RTSemMutexRequestNoResumeDebug
	.long	__kstrtab_VBoxHost_RTSemMutexRequestNoResumeDebug
	.section	___ksymtab+VBoxHost_RTSemMutexRequestNoResume,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexRequestNoResume, @object
	.size	__ksymtab_VBoxHost_RTSemMutexRequestNoResume, 8
__ksymtab_VBoxHost_RTSemMutexRequestNoResume:
	.long	VBoxHost_RTSemMutexRequestNoResume
	.long	__kstrtab_VBoxHost_RTSemMutexRequestNoResume
	.section	___ksymtab+VBoxHost_RTSemMutexRequestDebug,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexRequestDebug, @object
	.size	__ksymtab_VBoxHost_RTSemMutexRequestDebug, 8
__ksymtab_VBoxHost_RTSemMutexRequestDebug:
	.long	VBoxHost_RTSemMutexRequestDebug
	.long	__kstrtab_VBoxHost_RTSemMutexRequestDebug
	.section	___ksymtab+VBoxHost_RTSemMutexRequest,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexRequest, @object
	.size	__ksymtab_VBoxHost_RTSemMutexRequest, 8
__ksymtab_VBoxHost_RTSemMutexRequest:
	.long	VBoxHost_RTSemMutexRequest
	.long	__kstrtab_VBoxHost_RTSemMutexRequest
	.section	___ksymtab+VBoxHost_RTSemMutexDestroy,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexDestroy, @object
	.size	__ksymtab_VBoxHost_RTSemMutexDestroy, 8
__ksymtab_VBoxHost_RTSemMutexDestroy:
	.long	VBoxHost_RTSemMutexDestroy
	.long	__kstrtab_VBoxHost_RTSemMutexDestroy
	.section	___ksymtab+VBoxHost_RTSemMutexCreate,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTSemMutexCreate, @object
	.size	__ksymtab_VBoxHost_RTSemMutexCreate, 8
__ksymtab_VBoxHost_RTSemMutexCreate:
	.long	VBoxHost_RTSemMutexCreate
	.long	__kstrtab_VBoxHost_RTSemMutexCreate
	.section	__ksymtab_strings,"a",@progbits
	.type	__kstrtab_VBoxHost_RTSemMutexIsOwned, @object
	.size	__kstrtab_VBoxHost_RTSemMutexIsOwned, 27
__kstrtab_VBoxHost_RTSemMutexIsOwned:
	.string	"VBoxHost_RTSemMutexIsOwned"
	.type	__kstrtab_VBoxHost_RTSemMutexRelease, @object
	.size	__kstrtab_VBoxHost_RTSemMutexRelease, 27
__kstrtab_VBoxHost_RTSemMutexRelease:
	.string	"VBoxHost_RTSemMutexRelease"
	.type	__kstrtab_VBoxHost_RTSemMutexRequestNoResumeDebug, @object
	.size	__kstrtab_VBoxHost_RTSemMutexRequestNoResumeDebug, 40
__kstrtab_VBoxHost_RTSemMutexRequestNoResumeDebug:
	.string	"VBoxHost_RTSemMutexRequestNoResumeDebug"
	.type	__kstrtab_VBoxHost_RTSemMutexRequestNoResume, @object
	.size	__kstrtab_VBoxHost_RTSemMutexRequestNoResume, 35
__kstrtab_VBoxHost_RTSemMutexRequestNoResume:
	.string	"VBoxHost_RTSemMutexRequestNoResume"
	.type	__kstrtab_VBoxHost_RTSemMutexRequestDebug, @object
	.size	__kstrtab_VBoxHost_RTSemMutexRequestDebug, 32
__kstrtab_VBoxHost_RTSemMutexRequestDebug:
	.string	"VBoxHost_RTSemMutexRequestDebug"
	.type	__kstrtab_VBoxHost_RTSemMutexRequest, @object
	.size	__kstrtab_VBoxHost_RTSemMutexRequest, 27
__kstrtab_VBoxHost_RTSemMutexRequest:
	.string	"VBoxHost_RTSemMutexRequest"
	.type	__kstrtab_VBoxHost_RTSemMutexDestroy, @object
	.size	__kstrtab_VBoxHost_RTSemMutexDestroy, 27
__kstrtab_VBoxHost_RTSemMutexDestroy:
	.string	"VBoxHost_RTSemMutexDestroy"
	.type	__kstrtab_VBoxHost_RTSemMutexCreate, @object
	.size	__kstrtab_VBoxHost_RTSemMutexCreate, 26
__kstrtab_VBoxHost_RTSemMutexCreate:
	.string	"VBoxHost_RTSemMutexCreate"
	.ident	"GCC: (GNU) 4.5.3 (birdie)"
	.section	.note.GNU-stack,"",@progbits
