	.file	"thread.c"
	.text
	.p2align 4,,15
.globl VBoxHost_RTThreadIsInitialized
	.type	VBoxHost_RTThreadIsInitialized, @function
VBoxHost_RTThreadIsInitialized:
	pushl	%ebp
	movzbl	g_frtThreadInitialized, %eax
	movl	%esp, %ebp
	leave
	ret
	.size	VBoxHost_RTThreadIsInitialized, .-VBoxHost_RTThreadIsInitialized
	.p2align 4,,15
.globl VBoxHost_RTThreadIsSelfKnown
	.type	VBoxHost_RTThreadIsSelfKnown, @function
VBoxHost_RTThreadIsSelfKnown:
	pushl	%ebp
	xorl	%eax, %eax
	movl	%esp, %ebp
	cmpb	$0, g_frtThreadInitialized
	jne	.L6
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L6:
	call	VBoxHost_RTThreadSelf
	leave
	testl	%eax, %eax
	setne	%al
	.p2align 4,,2
	ret
	.size	VBoxHost_RTThreadIsSelfKnown, .-VBoxHost_RTThreadIsSelfKnown
	.p2align 4,,15
.globl VBoxHost_RTThreadIsSelfAlive
	.type	VBoxHost_RTThreadIsSelfAlive, @function
VBoxHost_RTThreadIsSelfAlive:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	xorl	%ebx, %ebx
	cmpb	$0, g_frtThreadInitialized
	jne	.L11
.L8:
	movl	%ebx, %eax
	popl	%ebx
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L11:
	call	VBoxHost_RTThreadSelf
	testl	%eax, %eax
	.p2align 4,,3
	je	.L8
	movl	24(%eax), %eax
	subl	$3, %eax
	cmpl	$10, %eax
	setbe	%bl
	movl	%ebx, %eax
	popl	%ebx
	leave
	ret
	.size	VBoxHost_RTThreadIsSelfAlive, .-VBoxHost_RTThreadIsSelfAlive
	.p2align 4,,15
	.type	rtThreadRemove, @function
rtThreadRemove:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$20, %esp
	movl	%ebx, -8(%ebp)
	movl	%esi, -4(%ebp)
	movl	$0, -12(%ebp)
	movl	%eax, %esi
	leal	-12(%ebp), %ebx
	movl	g_ThreadSpinlock, %eax
	movl	%ebx, 4(%esp)
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockAcquireNoInts
#APP
# 3882 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; btrl $2, 48(%esi)
	setc %al
	andl $1, %eax
	
# 0 "" 2
#NO_APP
	testb	%al, %al
	je	.L13
	movl	(%esi), %eax
	movl	$g_ThreadTree, (%esp)
	movl	%eax, 4(%esp)
	call	VBoxHost_RTAvlPVRemove
.L13:
	movl	%ebx, 4(%esp)
	movl	g_ThreadSpinlock, %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockReleaseNoInts
	movl	-8(%ebp), %ebx
	movl	-4(%ebp), %esi
	leave
	ret
	.size	rtThreadRemove, .-rtThreadRemove
	.p2align 4,,15
.globl rtThreadInit
	.hidden	rtThreadInit
	.type	rtThreadInit, @function
rtThreadInit:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	subl	$4, %esp
	movl	$g_ThreadSpinlock, (%esp)
	call	VBoxHost_RTSpinlockCreate
	movl	%eax, %ebx
	testl	%eax, %eax
	js	.L15
	call	rtThreadNativeInit
	movl	%eax, %ebx
	testl	%eax, %eax
	js	.L16
	movb	$1, g_frtThreadInitialized
	xorl	%ebx, %ebx
.L15:
	movl	%ebx, %eax
	addl	$4, %esp
	popl	%ebx
	leave
	ret
.L16:
	movl	g_ThreadSpinlock, %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockDestroy
	movl	$0, g_ThreadSpinlock
	jmp	.L15
	.size	rtThreadInit, .-rtThreadInit
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"WARNING: g_ThreadTree=%p\n"
	.text
	.p2align 4,,15
.globl rtThreadTerm
	.hidden	rtThreadTerm
	.type	rtThreadTerm, @function
rtThreadTerm:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	g_ThreadSpinlock, %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockDestroy
	movl	g_ThreadTree, %eax
	movl	$0, g_ThreadSpinlock
	testl	%eax, %eax
	je	.L17
	movl	%eax, 4(%esp)
	movl	$.LC0, (%esp)
	call	VBoxHost_RTAssertMsg2Weak
.L17:
	leave
	ret
	.size	rtThreadTerm, .-rtThreadTerm
	.p2align 4,,15
.globl rtThreadGetByNative
	.hidden	rtThreadGetByNative
	.type	rtThreadGetByNative, @function
rtThreadGetByNative:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$20, %esp
	movl	%ebx, -8(%ebp)
	movl	%esi, -4(%ebp)
	leal	-12(%ebp), %ebx
	movl	%eax, %esi
	movl	$0, -12(%ebp)
	movl	g_ThreadSpinlock, %eax
	movl	%ebx, 4(%esp)
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockAcquireNoInts
	movl	%esi, 4(%esp)
	movl	$g_ThreadTree, (%esp)
	call	VBoxHost_RTAvlPVGet
	movl	%eax, %esi
	movl	%ebx, 4(%esp)
	movl	g_ThreadSpinlock, %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockReleaseNoInts
	movl	%esi, %eax
	movl	-8(%ebp), %ebx
	movl	-4(%ebp), %esi
	leave
	ret
	.size	rtThreadGetByNative, .-rtThreadGetByNative
	.p2align 4,,15
.globl VBoxHost_RTThreadFromNative
	.type	VBoxHost_RTThreadFromNative, @function
VBoxHost_RTThreadFromNative:
	pushl	%ebp
	movl	%esp, %ebp
	movl	8(%ebp), %eax
	call	rtThreadGetByNative
	leave
	ret
	.size	VBoxHost_RTThreadFromNative, .-VBoxHost_RTThreadFromNative
	.p2align 4,,15
.globl rtThreadGet
	.hidden	rtThreadGet
	.type	rtThreadGet, @function
rtThreadGet:
	pushl	%ebp
	xorl	%edx, %edx
	movl	%esp, %ebp
	testl	%eax, %eax
	jne	.L27
.L22:
	movl	%edx, %eax
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L27:
	leal	4096(%eax), %ecx
	cmpl	$8191, %ecx
	jbe	.L22
	cmpl	$410256681, 16(%eax)
	jne	.L22
	movl	20(%eax), %ecx
	testl	%ecx, %ecx
	je	.L22
	movb	$1, %dl
#APP
# 2706 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %edx, 20(%eax)
	
# 0 "" 2
#NO_APP
	movl	%eax, %edx
	jmp	.L22
	.size	rtThreadGet, .-rtThreadGet
	.p2align 4,,15
.globl rtThreadRelease
	.hidden	rtThreadRelease
	.type	rtThreadRelease, @function
rtThreadRelease:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16, %esp
	movl	%ebx, -12(%ebp)
	movl	%esi, -8(%ebp)
	movl	%edi, -4(%ebp)
	movl	%eax, %ebx
	xorl	%esi, %esi
	movl	20(%eax), %eax
	testl	%eax, %eax
	je	.L29
	movl	$-1, %edi
	movl	%edi, %esi
#APP
# 2823 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %esi, 20(%ebx)
	
# 0 "" 2
#NO_APP
	decl	%esi
	jne	.L29
#APP
# 4033 "/tmp/vboxdrv/include/iprt/asm.h" 1
	btl $2, 48(%ebx)
	setc %al
	andl $1, %eax
	
# 0 "" 2
#NO_APP
	testb	%al, %al
	jne	.L33
.L30:
	movl	$422970900, %eax
#APP
# 377 "/tmp/vboxdrv/include/iprt/asm.h" 1
	xchgl 16(%ebx), %eax
	
# 0 "" 2
#NO_APP
	xorl	%eax, %eax
#APP
# 377 "/tmp/vboxdrv/include/iprt/asm.h" 1
	xchgl (%ebx), %eax
	
# 0 "" 2
#NO_APP
	movl	32(%ebx), %eax
	movl	36(%ebx), %edi
	movl	$0, 40(%ebx)
	movl	$0, 32(%ebx)
	movl	$0, 36(%ebx)
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiDestroy
	testl	%edi, %edi
	je	.L31
	movl	%edi, (%esp)
	call	VBoxHost_RTSemEventMultiDestroy
.L31:
	movl	%ebx, %eax
	call	rtThreadNativeDestroy
	movl	%ebx, (%esp)
	call	VBoxHost_RTMemFree
.L29:
	movl	%esi, %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L33:
	movl	$1, %eax
#APP
# 2706 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %eax, 20(%ebx)
	
# 0 "" 2
#NO_APP
	movl	%ebx, %eax
	call	rtThreadRemove
#APP
# 2823 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; xaddl %edi, 20(%ebx)
	
# 0 "" 2
#NO_APP
	jmp	.L30
	.size	rtThreadRelease, .-rtThreadRelease
	.p2align 4,,15
.globl VBoxHost_RTThreadGetType
	.type	VBoxHost_RTThreadGetType, @function
VBoxHost_RTThreadGetType:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	movl	8(%ebp), %eax
	xorl	%ebx, %ebx
	call	rtThreadGet
	testl	%eax, %eax
	je	.L35
	movl	40(%eax), %ebx
	call	rtThreadRelease
.L35:
	movl	%ebx, %eax
	popl	%ebx
	leave
	ret
	.size	VBoxHost_RTThreadGetType, .-VBoxHost_RTThreadGetType
	.p2align 4,,15
.globl VBoxHost_RTThreadSetType
	.type	VBoxHost_RTThreadSetType, @function
VBoxHost_RTThreadSetType:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$28, %esp
	movl	%ebx, -12(%ebp)
	movl	%esi, -8(%ebp)
	movl	12(%ebp), %ebx
	movl	%edi, -4(%ebp)
	leal	-1(%ebx), %eax
	cmpl	$10, %eax
	jbe	.L44
	movl	$-2, %edx
.L38:
	movl	%edx, %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L44:
	movl	8(%ebp), %eax
	call	rtThreadGet
	movl	$-4, %edx
	movl	%eax, %esi
	testl	%eax, %eax
	je	.L38
	movb	$-29, %dl
	testb	$2, 48(%eax)
	je	.L45
.L39:
	movl	%edx, -20(%ebp)
	movl	%esi, %eax
	call	rtThreadRelease
	movl	-20(%ebp), %edx
	jmp	.L38
.L45:
	movl	g_ThreadSpinlock, %eax
	movl	$0, -16(%ebp)
	movl	%eax, (%esp)
	leal	-16(%ebp), %edi
	movl	%edi, 4(%esp)
	call	VBoxHost_RTSpinlockAcquireNoInts
	movl	%ebx, %edx
	movl	%esi, %eax
	call	rtThreadNativeSetPriority
	movl	%eax, %edx
	testl	%eax, %eax
	js	.L40
#APP
# 377 "/tmp/vboxdrv/include/iprt/asm.h" 1
	xchgl 40(%esi), %ebx
	
# 0 "" 2
#NO_APP
.L40:
	movl	g_ThreadSpinlock, %eax
	movl	%edx, -20(%ebp)
	movl	%edi, 4(%esp)
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockReleaseNoInts
	movl	-20(%ebp), %edx
	jmp	.L39
	.size	VBoxHost_RTThreadSetType, .-VBoxHost_RTThreadSetType
	.p2align 4,,15
	.type	rtThreadWait, @function
rtThreadWait:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$28, %esp
	movl	%ebx, -12(%ebp)
	movl	%esi, -8(%ebp)
	movl	%edi, -4(%ebp)
	movzbl	8(%ebp), %esi
	movl	$-4, %ebx
	testl	%eax, %eax
	jne	.L55
.L47:
	movl	%ebx, %eax
	movl	-8(%ebp), %esi
	movl	-12(%ebp), %ebx
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L55:
	movl	%edx, -20(%ebp)
	movl	%ecx, -16(%ebp)
	call	rtThreadGet
	movl	-20(%ebp), %edx
	movl	%eax, %edi
	testl	%eax, %eax
	movl	-16(%ebp), %ecx
	je	.L47
	movb	$-30, %bl
	testb	$1, 44(%eax)
	je	.L48
	movl	%esi, %eax
	testb	%al, %al
	je	.L49
	movl	%edx, 4(%esp)
	movl	36(%edi), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiWait
	movl	-16(%ebp), %ecx
	movl	%eax, %ebx
.L50:
	testl	%ebx, %ebx
	js	.L48
	testl	%ecx, %ecx
	je	.L51
	movl	52(%edi), %eax
	movl	%eax, (%ecx)
.L51:
#APP
# 3882 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; btrl $0, 44(%edi)
	setc %al
	andl $1, %eax
	
# 0 "" 2
#NO_APP
	testb	%al, %al
	je	.L48
	movl	%edi, %eax
	call	rtThreadRelease
	.p2align 4,,10
	.p2align 3
.L48:
	movl	%edi, %eax
	call	rtThreadRelease
	jmp	.L47
	.p2align 4,,10
	.p2align 3
.L49:
	movl	%edx, 4(%esp)
	movl	36(%edi), %eax
	movl	%ecx, -16(%ebp)
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiWaitNoResume
	movl	-16(%ebp), %ecx
	movl	%eax, %ebx
	jmp	.L50
	.size	rtThreadWait, .-rtThreadWait
	.p2align 4,,15
.globl VBoxHost_RTThreadWaitNoResume
	.type	VBoxHost_RTThreadWaitNoResume, @function
VBoxHost_RTThreadWaitNoResume:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$4, %esp
	movl	16(%ebp), %ecx
	movl	12(%ebp), %edx
	movl	8(%ebp), %eax
	movl	$0, (%esp)
	call	rtThreadWait
	leave
	ret
	.size	VBoxHost_RTThreadWaitNoResume, .-VBoxHost_RTThreadWaitNoResume
	.p2align 4,,15
.globl VBoxHost_RTThreadWait
	.type	VBoxHost_RTThreadWait, @function
VBoxHost_RTThreadWait:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$4, %esp
	movl	16(%ebp), %ecx
	movl	12(%ebp), %edx
	movl	8(%ebp), %eax
	movl	$1, (%esp)
	call	rtThreadWait
	leave
	ret
	.size	VBoxHost_RTThreadWait, .-VBoxHost_RTThreadWait
	.p2align 4,,15
.globl VBoxHost_RTThreadUserReset
	.type	VBoxHost_RTThreadUserReset, @function
VBoxHost_RTThreadUserReset:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$12, %esp
	movl	%ebx, -8(%ebp)
	movl	%esi, -4(%ebp)
	movl	8(%ebp), %eax
	movl	$-4, %esi
	call	rtThreadGet
	movl	%eax, %ebx
	testl	%eax, %eax
	je	.L59
	movl	32(%eax), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiReset
	movl	%eax, %esi
	movl	%ebx, %eax
	call	rtThreadRelease
.L59:
	movl	%esi, %eax
	movl	-8(%ebp), %ebx
	movl	-4(%ebp), %esi
	leave
	ret
	.size	VBoxHost_RTThreadUserReset, .-VBoxHost_RTThreadUserReset
	.p2align 4,,15
.globl VBoxHost_RTThreadUserWaitNoResume
	.type	VBoxHost_RTThreadUserWaitNoResume, @function
VBoxHost_RTThreadUserWaitNoResume:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16, %esp
	movl	%ebx, -8(%ebp)
	movl	%esi, -4(%ebp)
	movl	8(%ebp), %eax
	movl	$-4, %esi
	call	rtThreadGet
	movl	%eax, %ebx
	testl	%eax, %eax
	je	.L62
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	32(%ebx), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiWaitNoResume
	movl	%eax, %esi
	movl	%ebx, %eax
	call	rtThreadRelease
.L62:
	movl	%esi, %eax
	movl	-8(%ebp), %ebx
	movl	-4(%ebp), %esi
	leave
	ret
	.size	VBoxHost_RTThreadUserWaitNoResume, .-VBoxHost_RTThreadUserWaitNoResume
	.p2align 4,,15
.globl VBoxHost_RTThreadUserWait
	.type	VBoxHost_RTThreadUserWait, @function
VBoxHost_RTThreadUserWait:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16, %esp
	movl	%ebx, -8(%ebp)
	movl	%esi, -4(%ebp)
	movl	8(%ebp), %eax
	movl	$-4, %esi
	call	rtThreadGet
	movl	%eax, %ebx
	testl	%eax, %eax
	je	.L65
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	32(%ebx), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiWait
	movl	%eax, %esi
	movl	%ebx, %eax
	call	rtThreadRelease
.L65:
	movl	%esi, %eax
	movl	-8(%ebp), %ebx
	movl	-4(%ebp), %esi
	leave
	ret
	.size	VBoxHost_RTThreadUserWait, .-VBoxHost_RTThreadUserWait
	.p2align 4,,15
.globl VBoxHost_RTThreadUserSignal
	.type	VBoxHost_RTThreadUserSignal, @function
VBoxHost_RTThreadUserSignal:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$12, %esp
	movl	%ebx, -8(%ebp)
	movl	%esi, -4(%ebp)
	movl	8(%ebp), %eax
	movl	$-4, %esi
	call	rtThreadGet
	movl	%eax, %ebx
	testl	%eax, %eax
	je	.L68
	movl	32(%eax), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiSignal
	movl	%eax, %esi
	movl	%ebx, %eax
	call	rtThreadRelease
.L68:
	movl	%esi, %eax
	movl	-8(%ebp), %ebx
	movl	-4(%ebp), %esi
	leave
	ret
	.size	VBoxHost_RTThreadUserSignal, .-VBoxHost_RTThreadUserSignal
	.p2align 4,,15
.globl VBoxHost_RTThreadIsMain
	.type	VBoxHost_RTThreadIsMain, @function
VBoxHost_RTThreadIsMain:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	movl	8(%ebp), %eax
	xorl	%ebx, %ebx
	call	rtThreadGet
	testl	%eax, %eax
	je	.L71
	testb	$8, 48(%eax)
	setne	%bl
	call	rtThreadRelease
.L71:
	movl	%ebx, %eax
	popl	%ebx
	leave
	ret
	.size	VBoxHost_RTThreadIsMain, .-VBoxHost_RTThreadIsMain
	.p2align 4,,15
.globl VBoxHost_RTThreadSetName
	.type	VBoxHost_RTThreadSetName, @function
VBoxHost_RTThreadSetName:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$16, %esp
	movl	%esi, -8(%ebp)
	movl	%ebx, -12(%ebp)
	movl	12(%ebp), %esi
	movl	%edi, -4(%ebp)
	movl	%esi, %eax
	call	strlen
	movl	%eax, %ecx
	cmpl	$15, %eax
	jbe	.L77
	movl	$-2, %eax
.L74:
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L77:
	movl	%ecx, -16(%ebp)
	movl	8(%ebp), %eax
	call	rtThreadGet
	movl	-16(%ebp), %ecx
	movl	%eax, %ebx
	movl	$-4, %eax
	testl	%ebx, %ebx
	je	.L74
	movb	$0, 68(%ebx,%ecx)
	movl	%esi, %edx
	leal	68(%ebx), %edi
	movl	%edi, %eax
	call	memcpy
	movl	%ebx, %eax
	call	rtThreadRelease
	xorl	%eax, %eax
	jmp	.L74
	.size	VBoxHost_RTThreadSetName, .-VBoxHost_RTThreadSetName
	.p2align 4,,15
.globl VBoxHost_RTThreadGetName
	.type	VBoxHost_RTThreadGetName, @function
VBoxHost_RTThreadGetName:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	%ebx, (%esp)
	movl	8(%ebp), %eax
	xorl	%ebx, %ebx
	movl	%esi, 4(%esp)
	testl	%eax, %eax
	jne	.L82
.L79:
	movl	%ebx, %eax
	movl	4(%esp), %esi
	movl	(%esp), %ebx
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L82:
	call	rtThreadGet
	movl	%eax, %esi
	testl	%eax, %eax
	je	.L79
	call	rtThreadRelease
	leal	68(%esi), %ebx
	movl	4(%esp), %esi
	movl	%ebx, %eax
	movl	(%esp), %ebx
	leave
	ret
	.size	VBoxHost_RTThreadGetName, .-VBoxHost_RTThreadGetName
	.p2align 4,,15
.globl VBoxHost_RTThreadSelfName
	.type	VBoxHost_RTThreadSelfName, @function
VBoxHost_RTThreadSelfName:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$8, %esp
	movl	%ebx, (%esp)
	movl	%esi, 4(%esp)
	xorl	%ebx, %ebx
	call	VBoxHost_RTThreadSelf
	testl	%eax, %eax
	jne	.L87
.L84:
	movl	%ebx, %eax
	movl	4(%esp), %esi
	movl	(%esp), %ebx
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L87:
	call	rtThreadGet
	movl	%eax, %esi
	testl	%eax, %eax
	je	.L84
	call	rtThreadRelease
	leal	68(%esi), %ebx
	movl	4(%esp), %esi
	movl	%ebx, %eax
	movl	(%esp), %ebx
	leave
	ret
	.size	VBoxHost_RTThreadSelfName, .-VBoxHost_RTThreadSelfName
	.p2align 4,,15
.globl VBoxHost_RTThreadGetNative
	.type	VBoxHost_RTThreadGetNative, @function
VBoxHost_RTThreadGetNative:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	movl	8(%ebp), %eax
	movl	$-1, %ebx
	call	rtThreadGet
	testl	%eax, %eax
	je	.L89
	movl	(%eax), %ebx
	call	rtThreadRelease
.L89:
	movl	%ebx, %eax
	popl	%ebx
	leave
	ret
	.size	VBoxHost_RTThreadGetNative, .-VBoxHost_RTThreadGetNative
	.section	.rodata.str1.4,"aMS",@progbits,1
	.align 4
.LC1:
	.string	"/tmp/vboxdrv/common/misc/thread.c"
	.section	.rodata.str1.1
.LC2:
	.string	"fRc"
	.section	.rodata.str1.4
	.align 4
.LC3:
	.string	"Lock problem? %p (%RTnthrd) %s\n"
	.text
	.p2align 4,,15
.globl rtThreadInsert
	.hidden	rtThreadInsert
	.type	rtThreadInsert, @function
rtThreadInsert:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$36, %esp
	movl	%ebx, -12(%ebp)
	movl	%esi, -8(%ebp)
	movl	%eax, %ebx
	movl	%edi, -4(%ebp)
	movl	g_ThreadSpinlock, %eax
	movl	%edx, -20(%ebp)
	movl	%eax, (%esp)
	movl	$0, -16(%ebp)
	leal	-16(%ebp), %esi
	movl	%esi, 4(%esp)
	call	VBoxHost_RTSpinlockAcquireNoInts
	movl	24(%ebx), %eax
	cmpl	$2, %eax
	je	.L92
	movl	-20(%ebp), %eax
	movl	$g_ThreadTree, (%esp)
	movl	%eax, 4(%esp)
	call	VBoxHost_RTAvlPVGet
	movl	%eax, %edi
	cmpl	%ebx, %eax
	je	.L92
	testl	%eax, %eax
	je	.L93
#APP
# 3605 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; btrl $2, 48(%ebx)
# 0 "" 2
#NO_APP
	movl	(%eax), %eax
	movl	$g_ThreadTree, (%esp)
	movl	%eax, 4(%esp)
	call	VBoxHost_RTAvlPVRemove
	testb	$1, 48(%edi)
	jne	.L94
.L93:
	movl	-20(%ebp), %eax
#APP
# 377 "/tmp/vboxdrv/include/iprt/asm.h" 1
	xchgl (%ebx), %eax
	
# 0 "" 2
#NO_APP
	movl	%ebx, 4(%esp)
	movl	$g_ThreadTree, (%esp)
	call	VBoxHost_RTAvlPVInsert
#APP
# 2937 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; orl $4, 48(%ebx)
	
# 0 "" 2
#NO_APP
	testb	%al, %al
	je	.L95
.L92:
	movl	%esi, 4(%esp)
	movl	g_ThreadSpinlock, %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSpinlockReleaseNoInts
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L94:
	movl	%edi, %eax
	call	rtThreadRelease
	jmp	.L93
.L95:
	movl	$__PRETTY_FUNCTION__.16083, 12(%esp)
	movl	$.LC1, 8(%esp)
	movl	$447, 4(%esp)
	movl	$.LC2, (%esp)
	call	VBoxHost_RTAssertMsg1Weak
	leal	68(%ebx), %eax
	movl	%ebx, 4(%esp)
	movl	%eax, 12(%esp)
	movl	$.LC3, (%esp)
	movl	-20(%ebp), %eax
	movl	%eax, 8(%esp)
	call	VBoxHost_RTAssertMsg2Weak
	call	VBoxHost_RTAssertShouldPanic
#APP
# 447 "/tmp/vboxdrv/common/misc/thread.c" 1
	int $3
	nop
	
# 0 "" 2
#NO_APP
	jmp	.L92
	.size	rtThreadInsert, .-rtThreadInsert
	.section	.rodata.str1.1
.LC4:
	.string	"RT_SUCCESS_NP(rc)"
.LC5:
	.string	"%Rra\n"
	.text
	.p2align 4,,15
.globl VBoxHost_RTThreadCreate
	.type	VBoxHost_RTThreadCreate, @function
VBoxHost_RTThreadCreate:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$40, %esp
	movl	%ebx, -12(%ebp)
	movl	%esi, -8(%ebp)
	movl	8(%ebp), %ebx
	movl	%edi, -4(%ebp)
	testl	%ebx, %ebx
	setne	%al
	movl	%eax, %esi
	leal	4096(%ebx), %eax
	cmpl	$8191, %eax
	ja	.L112
	movl	%esi, %eax
	movl	$-2, %edx
	testb	%al, %al
	je	.L112
.L97:
	movl	%edx, %eax
	movl	-12(%ebp), %ebx
	movl	-8(%ebp), %esi
	movl	-4(%ebp), %edi
	leave
	ret
	.p2align 4,,10
	.p2align 3
.L112:
	movl	12(%ebp), %eax
	movl	$-2, %edx
	addl	$4096, %eax
	cmpl	$8191, %eax
	jbe	.L97
	movl	32(%ebp), %eax
	testl	%eax, %eax
	je	.L97
	movl	32(%ebp), %eax
	cmpb	$0, (%eax)
	je	.L97
	movl	%edx, -24(%ebp)
	call	strlen
	movl	-24(%ebp), %edx
	cmpl	$15, %eax
	ja	.L97
	testl	$-2, 28(%ebp)
	jne	.L97
	movl	$.LC1, 4(%esp)
	movl	$84, (%esp)
	call	VBoxHost_RTMemAllocZTag
	movl	%eax, %edi
	testl	%eax, %eax
	je	.L99
	movl	$0, (%eax)
	movl	$410256681, 16(%eax)
	movl	32(%ebp), %eax
	call	strlen
	movl	$15, -20(%ebp)
	cmpl	$15, %eax
	movl	32(%ebp), %edx
	cmova	-20(%ebp), %eax
	movl	%eax, -20(%ebp)
	leal	68(%edi), %eax
	movl	-20(%ebp), %ecx
	call	memcpy
	movl	-20(%ebp), %eax
	movb	$0, 68(%edi,%eax)
	movl	$-51, 52(%edi)
	movl	28(%ebp), %eax
	movl	$0, 48(%edi)
	andl	$1, %eax
	addl	$2, %eax
	movl	%eax, 20(%edi)
	movl	24(%ebp), %eax
	movl	$1, 24(%edi)
	movl	%eax, 40(%edi)
	movb	$0, 28(%edi)
	movl	28(%ebp), %eax
	movl	%eax, 44(%edi)
	leal	32(%edi), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiCreate
	testl	%eax, %eax
	js	.L100
	leal	36(%edi), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiCreate
	testl	%eax, %eax
	js	.L114
	movl	12(%ebp), %eax
	leal	-16(%ebp), %edx
	movl	%eax, 56(%edi)
	movl	16(%ebp), %eax
	movl	%eax, 60(%edi)
	movl	20(%ebp), %eax
	movl	%eax, 64(%edi)
	movl	%edi, %eax
	call	rtThreadNativeCreate
	movl	%eax, %edx
	testl	%eax, %eax
	js	.L115
	movl	-16(%ebp), %edx
	movl	%edi, %eax
	call	rtThreadInsert
	movl	%edi, %eax
	call	rtThreadRelease
	xorl	%edx, %edx
	movl	%esi, %eax
	testb	%al, %al
	je	.L97
	movl	%edi, (%ebx)
	jmp	.L97
.L114:
	movl	32(%edi), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiDestroy
.L100:
	movl	%edi, (%esp)
	call	VBoxHost_RTMemFree
.L99:
	movl	$-20, %edx
.L102:
	movl	%edx, -24(%ebp)
	movl	$__PRETTY_FUNCTION__.16142, 12(%esp)
	movl	$.LC1, 8(%esp)
	movl	$798, 4(%esp)
	movl	$.LC4, (%esp)
	call	VBoxHost_RTAssertMsg1Weak
	movl	-24(%ebp), %edx
	movl	$.LC5, (%esp)
	movl	%edx, 4(%esp)
	call	VBoxHost_RTAssertMsg2Weak
	call	VBoxHost_RTAssertShouldPanic
#APP
# 798 "/tmp/vboxdrv/common/misc/thread.c" 1
	int $3
	nop
	
# 0 "" 2
#NO_APP
	movl	-24(%ebp), %edx
	jmp	.L97
.L115:
	movl	$1, 20(%edi)
	movl	%edi, %eax
	movl	%edx, -24(%ebp)
	call	rtThreadRelease
	movl	-24(%ebp), %edx
	jmp	.L102
	.size	VBoxHost_RTThreadCreate, .-VBoxHost_RTThreadCreate
	.p2align 4,,15
.globl VBoxHost_RTThreadCreateV
	.type	VBoxHost_RTThreadCreateV, @function
VBoxHost_RTThreadCreateV:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	leal	-36(%ebp), %ebx
	subl	$60, %esp
	movl	36(%ebp), %eax
	movl	%ebx, (%esp)
	movl	%eax, 12(%esp)
	movl	$32, 4(%esp)
	movl	32(%ebp), %eax
	movl	%eax, 8(%esp)
	call	VBoxHost_RTStrPrintfV
	movl	28(%ebp), %eax
	movl	%ebx, 24(%esp)
	movl	%eax, 20(%esp)
	movl	24(%ebp), %eax
	movl	%eax, 16(%esp)
	movl	20(%ebp), %eax
	movl	%eax, 12(%esp)
	movl	16(%ebp), %eax
	movl	%eax, 8(%esp)
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTThreadCreate
	addl	$60, %esp
	popl	%ebx
	leave
	ret
	.size	VBoxHost_RTThreadCreateV, .-VBoxHost_RTThreadCreateV
	.p2align 4,,15
.globl VBoxHost_RTThreadCreateF
	.type	VBoxHost_RTThreadCreateF, @function
VBoxHost_RTThreadCreateF:
	pushl	%ebp
	movl	%esp, %ebp
	subl	$32, %esp
	leal	36(%ebp), %eax
	movl	%eax, 28(%esp)
	movl	32(%ebp), %eax
	movl	%eax, 24(%esp)
	movl	28(%ebp), %eax
	movl	%eax, 20(%esp)
	movl	24(%ebp), %eax
	movl	%eax, 16(%esp)
	movl	20(%ebp), %eax
	movl	%eax, 12(%esp)
	movl	16(%ebp), %eax
	movl	%eax, 8(%esp)
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	VBoxHost_RTThreadCreateV
	leave
	ret
	.size	VBoxHost_RTThreadCreateF, .-VBoxHost_RTThreadCreateF
	.p2align 4,,15
.globl rtThreadTerminate
	.hidden	rtThreadTerminate
	.type	rtThreadTerminate, @function
rtThreadTerminate:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%ebx
	movl	%eax, %ebx
	subl	$4, %esp
	movl	%edx, 52(%eax)
	movl	$2, %eax
#APP
# 377 "/tmp/vboxdrv/include/iprt/asm.h" 1
	xchgl 24(%ebx), %eax
	
# 0 "" 2
# 2937 "/tmp/vboxdrv/include/iprt/asm.h" 1
	lock; orl $2, 48(%ebx)
	
# 0 "" 2
#NO_APP
	movl	36(%ebx), %eax
	testl	%eax, %eax
	je	.L119
	movl	%eax, (%esp)
	call	VBoxHost_RTSemEventMultiSignal
.L119:
	movl	%ebx, %eax
	call	rtThreadRemove
	movl	%ebx, %eax
	call	rtThreadRelease
	addl	$4, %esp
	popl	%ebx
	leave
	ret
	.size	rtThreadTerminate, .-rtThreadTerminate
	.p2align 4,,15
.globl rtThreadMain
	.hidden	rtThreadMain
	.type	rtThreadMain, @function
rtThreadMain:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%esi
	pushl	%ebx
	movl	%eax, %ebx
	subl	$8, %esp
	call	rtThreadInsert
	movl	40(%ebx), %edx
	movl	%ebx, %eax
	call	rtThreadNativeSetPriority
	movl	$3, %eax
#APP
# 377 "/tmp/vboxdrv/include/iprt/asm.h" 1
	xchgl 24(%ebx), %eax
	
# 0 "" 2
#NO_APP
	movl	60(%ebx), %eax
	movl	%ebx, (%esp)
	movl	%eax, 4(%esp)
	call	*56(%ebx)
	movl	%eax, %esi
	movl	%eax, %edx
	movl	%ebx, %eax
	call	rtThreadTerminate
	movl	%esi, %eax
	addl	$8, %esp
	popl	%ebx
	popl	%esi
	leave
	ret
	.size	rtThreadMain, .-rtThreadMain
	.section	___ksymtab+VBoxHost_RTThreadGetType,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadGetType, @object
	.size	__ksymtab_VBoxHost_RTThreadGetType, 8
__ksymtab_VBoxHost_RTThreadGetType:
	.long	VBoxHost_RTThreadGetType
	.long	__kstrtab_VBoxHost_RTThreadGetType
	.section	___ksymtab+VBoxHost_RTThreadSetType,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadSetType, @object
	.size	__ksymtab_VBoxHost_RTThreadSetType, 8
__ksymtab_VBoxHost_RTThreadSetType:
	.long	VBoxHost_RTThreadSetType
	.long	__kstrtab_VBoxHost_RTThreadSetType
	.section	___ksymtab+VBoxHost_RTThreadWaitNoResume,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadWaitNoResume, @object
	.size	__ksymtab_VBoxHost_RTThreadWaitNoResume, 8
__ksymtab_VBoxHost_RTThreadWaitNoResume:
	.long	VBoxHost_RTThreadWaitNoResume
	.long	__kstrtab_VBoxHost_RTThreadWaitNoResume
	.section	___ksymtab+VBoxHost_RTThreadWait,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadWait, @object
	.size	__ksymtab_VBoxHost_RTThreadWait, 8
__ksymtab_VBoxHost_RTThreadWait:
	.long	VBoxHost_RTThreadWait
	.long	__kstrtab_VBoxHost_RTThreadWait
	.section	___ksymtab+VBoxHost_RTThreadUserReset,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadUserReset, @object
	.size	__ksymtab_VBoxHost_RTThreadUserReset, 8
__ksymtab_VBoxHost_RTThreadUserReset:
	.long	VBoxHost_RTThreadUserReset
	.long	__kstrtab_VBoxHost_RTThreadUserReset
	.section	___ksymtab+VBoxHost_RTThreadUserWaitNoResume,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadUserWaitNoResume, @object
	.size	__ksymtab_VBoxHost_RTThreadUserWaitNoResume, 8
__ksymtab_VBoxHost_RTThreadUserWaitNoResume:
	.long	VBoxHost_RTThreadUserWaitNoResume
	.long	__kstrtab_VBoxHost_RTThreadUserWaitNoResume
	.section	___ksymtab+VBoxHost_RTThreadUserWait,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadUserWait, @object
	.size	__ksymtab_VBoxHost_RTThreadUserWait, 8
__ksymtab_VBoxHost_RTThreadUserWait:
	.long	VBoxHost_RTThreadUserWait
	.long	__kstrtab_VBoxHost_RTThreadUserWait
	.section	___ksymtab+VBoxHost_RTThreadUserSignal,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadUserSignal, @object
	.size	__ksymtab_VBoxHost_RTThreadUserSignal, 8
__ksymtab_VBoxHost_RTThreadUserSignal:
	.long	VBoxHost_RTThreadUserSignal
	.long	__kstrtab_VBoxHost_RTThreadUserSignal
	.section	___ksymtab+VBoxHost_RTThreadIsInitialized,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadIsInitialized, @object
	.size	__ksymtab_VBoxHost_RTThreadIsInitialized, 8
__ksymtab_VBoxHost_RTThreadIsInitialized:
	.long	VBoxHost_RTThreadIsInitialized
	.long	__kstrtab_VBoxHost_RTThreadIsInitialized
	.section	___ksymtab+VBoxHost_RTThreadIsSelfKnown,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadIsSelfKnown, @object
	.size	__ksymtab_VBoxHost_RTThreadIsSelfKnown, 8
__ksymtab_VBoxHost_RTThreadIsSelfKnown:
	.long	VBoxHost_RTThreadIsSelfKnown
	.long	__kstrtab_VBoxHost_RTThreadIsSelfKnown
	.section	___ksymtab+VBoxHost_RTThreadIsSelfAlive,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadIsSelfAlive, @object
	.size	__ksymtab_VBoxHost_RTThreadIsSelfAlive, 8
__ksymtab_VBoxHost_RTThreadIsSelfAlive:
	.long	VBoxHost_RTThreadIsSelfAlive
	.long	__kstrtab_VBoxHost_RTThreadIsSelfAlive
	.section	___ksymtab+VBoxHost_RTThreadIsMain,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadIsMain, @object
	.size	__ksymtab_VBoxHost_RTThreadIsMain, 8
__ksymtab_VBoxHost_RTThreadIsMain:
	.long	VBoxHost_RTThreadIsMain
	.long	__kstrtab_VBoxHost_RTThreadIsMain
	.section	___ksymtab+VBoxHost_RTThreadSetName,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadSetName, @object
	.size	__ksymtab_VBoxHost_RTThreadSetName, 8
__ksymtab_VBoxHost_RTThreadSetName:
	.long	VBoxHost_RTThreadSetName
	.long	__kstrtab_VBoxHost_RTThreadSetName
	.section	___ksymtab+VBoxHost_RTThreadGetName,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadGetName, @object
	.size	__ksymtab_VBoxHost_RTThreadGetName, 8
__ksymtab_VBoxHost_RTThreadGetName:
	.long	VBoxHost_RTThreadGetName
	.long	__kstrtab_VBoxHost_RTThreadGetName
	.section	___ksymtab+VBoxHost_RTThreadSelfName,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadSelfName, @object
	.size	__ksymtab_VBoxHost_RTThreadSelfName, 8
__ksymtab_VBoxHost_RTThreadSelfName:
	.long	VBoxHost_RTThreadSelfName
	.long	__kstrtab_VBoxHost_RTThreadSelfName
	.section	___ksymtab+VBoxHost_RTThreadFromNative,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadFromNative, @object
	.size	__ksymtab_VBoxHost_RTThreadFromNative, 8
__ksymtab_VBoxHost_RTThreadFromNative:
	.long	VBoxHost_RTThreadFromNative
	.long	__kstrtab_VBoxHost_RTThreadFromNative
	.section	___ksymtab+VBoxHost_RTThreadGetNative,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadGetNative, @object
	.size	__ksymtab_VBoxHost_RTThreadGetNative, 8
__ksymtab_VBoxHost_RTThreadGetNative:
	.long	VBoxHost_RTThreadGetNative
	.long	__kstrtab_VBoxHost_RTThreadGetNative
	.section	___ksymtab+VBoxHost_RTThreadCreateF,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadCreateF, @object
	.size	__ksymtab_VBoxHost_RTThreadCreateF, 8
__ksymtab_VBoxHost_RTThreadCreateF:
	.long	VBoxHost_RTThreadCreateF
	.long	__kstrtab_VBoxHost_RTThreadCreateF
	.section	___ksymtab+VBoxHost_RTThreadCreateV,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadCreateV, @object
	.size	__ksymtab_VBoxHost_RTThreadCreateV, 8
__ksymtab_VBoxHost_RTThreadCreateV:
	.long	VBoxHost_RTThreadCreateV
	.long	__kstrtab_VBoxHost_RTThreadCreateV
	.section	___ksymtab+VBoxHost_RTThreadCreate,"a",@progbits
	.align 4
	.type	__ksymtab_VBoxHost_RTThreadCreate, @object
	.size	__ksymtab_VBoxHost_RTThreadCreate, 8
__ksymtab_VBoxHost_RTThreadCreate:
	.long	VBoxHost_RTThreadCreate
	.long	__kstrtab_VBoxHost_RTThreadCreate
	.local	g_ThreadSpinlock
	.comm	g_ThreadSpinlock,4,4
	.local	g_frtThreadInitialized
	.comm	g_frtThreadInitialized,1,1
	.section	.rodata
	.type	__PRETTY_FUNCTION__.16142, @object
	.size	__PRETTY_FUNCTION__.16142, 24
__PRETTY_FUNCTION__.16142:
	.string	"VBoxHost_RTThreadCreate"
	.local	g_ThreadTree
	.comm	g_ThreadTree,4,4
	.type	__PRETTY_FUNCTION__.16083, @object
	.size	__PRETTY_FUNCTION__.16083, 15
__PRETTY_FUNCTION__.16083:
	.string	"rtThreadInsert"
	.section	__ksymtab_strings,"a",@progbits
	.type	__kstrtab_VBoxHost_RTThreadGetType, @object
	.size	__kstrtab_VBoxHost_RTThreadGetType, 25
__kstrtab_VBoxHost_RTThreadGetType:
	.string	"VBoxHost_RTThreadGetType"
	.type	__kstrtab_VBoxHost_RTThreadSetType, @object
	.size	__kstrtab_VBoxHost_RTThreadSetType, 25
__kstrtab_VBoxHost_RTThreadSetType:
	.string	"VBoxHost_RTThreadSetType"
	.type	__kstrtab_VBoxHost_RTThreadWaitNoResume, @object
	.size	__kstrtab_VBoxHost_RTThreadWaitNoResume, 30
__kstrtab_VBoxHost_RTThreadWaitNoResume:
	.string	"VBoxHost_RTThreadWaitNoResume"
	.type	__kstrtab_VBoxHost_RTThreadWait, @object
	.size	__kstrtab_VBoxHost_RTThreadWait, 22
__kstrtab_VBoxHost_RTThreadWait:
	.string	"VBoxHost_RTThreadWait"
	.type	__kstrtab_VBoxHost_RTThreadUserReset, @object
	.size	__kstrtab_VBoxHost_RTThreadUserReset, 27
__kstrtab_VBoxHost_RTThreadUserReset:
	.string	"VBoxHost_RTThreadUserReset"
	.type	__kstrtab_VBoxHost_RTThreadUserWaitNoResume, @object
	.size	__kstrtab_VBoxHost_RTThreadUserWaitNoResume, 34
__kstrtab_VBoxHost_RTThreadUserWaitNoResume:
	.string	"VBoxHost_RTThreadUserWaitNoResume"
	.type	__kstrtab_VBoxHost_RTThreadUserWait, @object
	.size	__kstrtab_VBoxHost_RTThreadUserWait, 26
__kstrtab_VBoxHost_RTThreadUserWait:
	.string	"VBoxHost_RTThreadUserWait"
	.type	__kstrtab_VBoxHost_RTThreadUserSignal, @object
	.size	__kstrtab_VBoxHost_RTThreadUserSignal, 28
__kstrtab_VBoxHost_RTThreadUserSignal:
	.string	"VBoxHost_RTThreadUserSignal"
	.type	__kstrtab_VBoxHost_RTThreadIsInitialized, @object
	.size	__kstrtab_VBoxHost_RTThreadIsInitialized, 31
__kstrtab_VBoxHost_RTThreadIsInitialized:
	.string	"VBoxHost_RTThreadIsInitialized"
	.type	__kstrtab_VBoxHost_RTThreadIsSelfKnown, @object
	.size	__kstrtab_VBoxHost_RTThreadIsSelfKnown, 29
__kstrtab_VBoxHost_RTThreadIsSelfKnown:
	.string	"VBoxHost_RTThreadIsSelfKnown"
	.type	__kstrtab_VBoxHost_RTThreadIsSelfAlive, @object
	.size	__kstrtab_VBoxHost_RTThreadIsSelfAlive, 29
__kstrtab_VBoxHost_RTThreadIsSelfAlive:
	.string	"VBoxHost_RTThreadIsSelfAlive"
	.type	__kstrtab_VBoxHost_RTThreadIsMain, @object
	.size	__kstrtab_VBoxHost_RTThreadIsMain, 24
__kstrtab_VBoxHost_RTThreadIsMain:
	.string	"VBoxHost_RTThreadIsMain"
	.type	__kstrtab_VBoxHost_RTThreadSetName, @object
	.size	__kstrtab_VBoxHost_RTThreadSetName, 25
__kstrtab_VBoxHost_RTThreadSetName:
	.string	"VBoxHost_RTThreadSetName"
	.type	__kstrtab_VBoxHost_RTThreadGetName, @object
	.size	__kstrtab_VBoxHost_RTThreadGetName, 25
__kstrtab_VBoxHost_RTThreadGetName:
	.string	"VBoxHost_RTThreadGetName"
	.type	__kstrtab_VBoxHost_RTThreadSelfName, @object
	.size	__kstrtab_VBoxHost_RTThreadSelfName, 26
__kstrtab_VBoxHost_RTThreadSelfName:
	.string	"VBoxHost_RTThreadSelfName"
	.type	__kstrtab_VBoxHost_RTThreadFromNative, @object
	.size	__kstrtab_VBoxHost_RTThreadFromNative, 28
__kstrtab_VBoxHost_RTThreadFromNative:
	.string	"VBoxHost_RTThreadFromNative"
	.type	__kstrtab_VBoxHost_RTThreadGetNative, @object
	.size	__kstrtab_VBoxHost_RTThreadGetNative, 27
__kstrtab_VBoxHost_RTThreadGetNative:
	.string	"VBoxHost_RTThreadGetNative"
	.type	__kstrtab_VBoxHost_RTThreadCreateF, @object
	.size	__kstrtab_VBoxHost_RTThreadCreateF, 25
__kstrtab_VBoxHost_RTThreadCreateF:
	.string	"VBoxHost_RTThreadCreateF"
	.type	__kstrtab_VBoxHost_RTThreadCreateV, @object
	.size	__kstrtab_VBoxHost_RTThreadCreateV, 25
__kstrtab_VBoxHost_RTThreadCreateV:
	.string	"VBoxHost_RTThreadCreateV"
	.type	__kstrtab_VBoxHost_RTThreadCreate, @object
	.size	__kstrtab_VBoxHost_RTThreadCreate, 24
__kstrtab_VBoxHost_RTThreadCreate:
	.string	"VBoxHost_RTThreadCreate"
	.hidden	rtThreadNativeCreate
	.hidden	rtThreadNativeSetPriority
	.hidden	rtThreadNativeDestroy
	.hidden	rtThreadNativeInit
	.ident	"GCC: (GNU) 4.5.3 (birdie)"
	.section	.note.GNU-stack,"",@progbits
